Subject: Re: Serial console

From: Daniel Ann <[email-masked]>
Date: Sat, 30 Jul 2005 14:46:27 +0900

I've got a feeling that this has alot to do with IRQ.
Would I be correct to assume printk doesnt require interrupt to work
but printf does ?

After doing some testing, I've found my network interface ping-able
when I got printf working in 2.4.31. But if I alter the openpic source
to not initialize the interrupt, it also stop displaying at the same
point and network interface isnt pingable.

I guess my next problem would be then, why isnt my openpic working. :(
I've done exactly the same as what I did with 2.4.31 and that works.
Hmmm. Something must have changed in 2.6.12.3.

I dont think this is has anything to do with serial console, so I'm
gonna end the thread here.

Thanks.

On 7/30/05, Daniel Ann <[email-masked]> wrote:
> I too have /dev/null
> 0 crw-rw-rw-  1 root root 1, 3 Aug 31  2001 null
> 
> However, Im not using initrd. null, and console devices are in my RAMDISK tho.
> 
> On 7/30/05, Josh Boyer <[email-masked]> wrote:
> > On Sat, 2005-07-30 at 10:06 +0900, Daniel Ann wrote:
> > > Hi folks,
> > >
> > > Just wondering if anyone could lend a hand with this problem I have
> > > with serial console. I'm trying to boot up my board (very similar to
> > > sandpoint using MPC8245) with kernel 2.6.12.3, and most of it is
> > > working but console will display up to,
> > > [snip]
> > > RAMDISK: Compressed image found at block 0
> > > VFS: Mounted root (ext2 filesystem) readonly.
> > > Freeing unused kernel memory: 112k init
> > >
> > > I've done series of printk in sys_execve() to see if /sbin/init is
> > > working, and found out it went thru the whole rcS file okay. Mind you,
> > > printk is successfully displaying the output on the console while I'm
> > > still not getting anything from the user processes.
> > >
> > > Having all the kernel boot up log on console means that I've done some
> > > part right. But why am I not getting anything from the user processes
> > > on the console screen ?
> > >
> > > Is there anything I need to do on the kernel config ?
> >
> > Do you have a /dev/console device node in your initrd?  If not, that is
> > one of the reasons you could be seeing that problem.  Make
> > sure /dev/null is there too.
> >
> > josh
> >
> >
> 
> 
> --
> Daniel
> 

-- 
Daniel